

class ::apacheInstallDialog {
    variable pPageXui
    variable guiRenderer
    variable apacheConfFile
    variable dialog
    variable guiPP {}
    variable f
    constructor { gr } {
        set guiRenderer $gr
	set w .[unique::newId]
	set dialog [Dialog $w \
	        -parent . \
		-title {Apache installation Config}\
		-modal local]
	set f [frame [ $dialog getframe ].f ]
	set f2 [Label $f.l -text [mesg::get apacheInstallation] \
	    -anchor e  -wraplength 200]
	pack $f2 -side left -expand true
	pack $f  -fill both -expand true -padx 2 -pady 2
	$dialog add -text Ok
	$dialog add -text Cancel
	pack propagate $dialog 1
	wm protocol $w WM_DELETE_WINDOW { ; }
    }
    method show { xuiData }
    method _clear {}

}

body apacheInstallDialog::show  { xuiData } {
    $this _clear

    set guiPP [$guiRenderer render $f $xuiData]
    switch  [$dialog draw] {
	-1 { 
	    error {This should never occur. Dialog only to be dismissed using
	    Ok or Cancel}
	} 0 {
	    return OK
	} 1 {
	    return CANCEL
	}
	default { 
	    error {This should never occur}
	}
    }
}

body apacheInstallDialog::_clear {} {
    if [llength $guiPP] {
        delete object $guiPP
	set guiPP {}
    }
}

